Subject: Re: [PATCH v2] Documentation: Document each netlink family

From: Jakub Kicinski <[email-masked]>
Date: Mon, 20 Nov 2023 12:07:06 -0800

On Mon, 20 Nov 2023 11:55:26 -0800 Breno Leitao wrote:
> I am not planning to do it, since I would like to trust Make. Let me
> know if you think this is important and I can do it also.

Makefile is good enough for me.

> +$(YNL_INDEX): $(YNL_RST_FILES)
> +       $(YNL_TOOL) -x # Generate the index
> +
> +%.rst: $(YNL_YAMLS_FILES)
> +       $(YNL_TOOL) -i $(patsubst %.rst,%.yaml, $(@F)) # generate individual rst files

IDK what @F means, can the tool take one file at a time and then
we can make the rule a more usual:

%.rst: $(YNL_YAML_DIR)/%.yaml
	$(YNL_TOOL) -i $< -o $@

?

> +htmldocs: $(YNL_INDEX)
>         @$(srctree)/scripts/sphinx-pre-install --version-check
>         @+$(foreach var,$(SPHINXDIRS),$(call loop_cmd,sphinx,html,$(var),,$(var)))